Delete conversation
DELETE
/v1/conversation/{conversationId}
const url = 'https://api.foldspace.ai/v1/conversation/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE', headers: {'X-FOLDSPACE-API-KEY': '<X-FOLDSPACE-API-KEY>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.foldspace.ai/v1/conversation/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'X-FOLDSPACE-API-KEY: <X-FOLDSPACE-API-KEY>'Deletes a conversation by its conversation ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” conversationId
required
string format: uuid
UUID of the conversation to delete
Responses
Section titled “ Responses ”Conversation deleted successfully
Unauthorized
Media type */*
string
Example
{ "error": "Unauthorized"}Conversation not found
Media type */*
string
Example
{ "error": "Conversation not found"}Rate limit exceeded for subscription
Media type */*
string
Example
{ "error": "Rate limit exceeded for subscription"}Internal server error
Media type */*
string
Example
{ "error": "Internal server error"}